Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] Error installing OpenMPI 1.5.3
From: Dmitry N. Mikushin (maemarcus_at_[hidden])
Date: 2011-07-10 17:20:07


Sorry, disregard this, the issue was created by my own buggy compiler wrapper.

- D.

2011/7/10 Dmitry N. Mikushin <maemarcus_at_[hidden]>:
> Hi,
>
> Maybe it would be useful to report the openmpi 1.5.3 archive currently
> has a strange issue when installing on Fedora 15 x86_64 (gcc 4.6),
> that *does not* happen with 1.4.3:
>
> $ ../configure --prefix=/opt/openmpi_kgen-1.5.3 CC=gcc CXX=g++
> F77=gfortran FC=gfortran
>
> ...
>
> $ sudo make install
>
> ...
>
> make[5]: Entering directory
> `/home/marcusmae/Programming/openmpi-1.5.3/build/ompi/mpi/f90'
> test -z "/opt/openmpi_kgen-1.5.3/lib" || /bin/mkdir -p
> "/opt/openmpi_kgen-1.5.3/lib"
>  /bin/sh ../../../libtool   --mode=install /usr/bin/install -c
> libmpi_f90.la '/opt/openmpi_kgen-1.5.3/lib'
> libtool: install: warning: relinking `libmpi_f90.la'
> libtool: install: (cd
> /home/marcusmae/Programming/openmpi-1.5.3/build/ompi/mpi/f90; /bin/sh
> /home/marcusmae/Programming/openmpi-1.5.3/build/libtool  --silent
> --tag FC --mode=relink /usr/bin/gfortran -I../../../ompi/include
> -I../../../../ompi/include -I. -I../../../../ompi/mpi/f90
> -I../../../ompi/mpi/f90 -version-info 1:1:0 -export-dynamic -o
> libmpi_f90.la -rpath /opt/openmpi_kgen-1.5.3/lib mpi.lo mpi_sizeof.lo
> mpi_comm_spawn_multiple_f90.lo mpi_testall_f90.lo mpi_testsome_f90.lo
> mpi_waitall_f90.lo mpi_waitsome_f90.lo mpi_wtick_f90.lo
> mpi_wtime_f90.lo ../../../ompi/mpi/f77/libmpi_f77.la -lnsl -lutil -lm
> )
> mv: cannot stat `libmpi_f90.so.1.0.1': No such file or directory
> libtool: install: error: relink `libmpi_f90.la' with the above command
> before installing it
> make[5]: *** [install-libLTLIBRARIES] Error 1
> make[5]: Leaving directory
> `/home/marcusmae/Programming/openmpi-1.5.3/build/ompi/mpi/f90'
> make[4]: *** [install-am] Error 2
> make[4]: Leaving directory
> `/home/marcusmae/Programming/openmpi-1.5.3/build/ompi/mpi/f90'
> make[3]: *** [install-recursive] Error 1
> make[3]: Leaving directory
> `/home/marcusmae/Programming/openmpi-1.5.3/build/ompi/mpi/f90'
> make[2]: *** [install] Error 2
> make[2]: Leaving directory
> `/home/marcusmae/Programming/openmpi-1.5.3/build/ompi/mpi/f90'
> make[1]: *** [install-recursive] Error 1
> make[1]: Leaving directory
> `/home/marcusmae/Programming/openmpi-1.5.3/build/ompi'
> make: *** [install-recursive] Error 1
>
> Is it a known problem?
>
> Thanks,
> - D.
>